# 使用说明

## python main.py 脚本

### 环境
```shell
pip install modbus-tk
pip install serial
pip install paho-mqtt
```


### 配置COM口
`SerialCom = 'COM5'`

### 上发主题
`WT/WTG93RF/99991213/opData`


### 控制对应噪音传感器上发数据
```python
# Enable sensor
enableJianDa    = 1 #开启采集
enableShangLuo  = 0 #关闭采集
enableZhaotai   = 1
```

### 数据查询页
[Witium 测试平台](http://gm.cloud.witium.com.cn/#/app/dataMonitor/gearMotorMonitor/monitorDetail?reducerNo=RN704134230753816576&reducerName=%E5%99%AA%E9%9F%B3%E6%B5%8B%E8%AF%95%E8%AE%BE%E5%A4%87&status=0&boundState=1)

![](./Pic/传感器采集平台显示截图.png)


## python noiseLab_dataDeal.py脚本
- 会将data.csv的数据转换为图形；
![](./Pic/noiseLab数据转换图形.png)

## App
![noiseLab App](./Pic/noiseLab.jpg)


